Altibase.jdbc.driver.sharding.algorithm

## Interface RangeShardingAlgorithm<T extends java.lang.Comparable<?>>

All Superinterfaces:
  ShardingAlgorithm

All Known Implementing Classes:
  ListShardingAlgorithm, StandardRangeShardingAlgorithm

    public interface RangeShardingAlgorithm<T extends java.lang.Comparable<?>>
    extends ShardingAlgorithm

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.List<DataNode>` `doSharding(java.lang.Comparable<?> aShardingValue, DataNode aDefaultNode)`

### Method Detail

#### doSharding

    java.util.List<DataNode> doSharding(java.lang.Comparable<?> aShardingValue,
                                        DataNode aDefaultNode)
                                 throws java.sql.SQLException

Throws:
  `java.sql.SQLException`